Canalplan Bug Tracker



Anonymous Login
2017-09-20 03:09 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000296Canalplan [All Projects] Bugpublic2017-09-04 10:30
ReporterShultzy 
Assigned To 
PriorityhighSeveritymajorReproducibilityrandom
StatusclosedResolutionno change required 
PlatformMicrosoftOSWindowsOS Version8.1
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000296: Redirections appearing in CP
DescriptionI've started getting redirections when using parts of CP. This was one of them [http://pipeschannels.com/1320848].

The title [Find out what's new, report a bug or request a new feature] appeared in dark blue and underlined like a web link. When hovering over the title this appeared [canalplan.org.uk/wiki/bugs#]. As you will notice there is an extra symbol (#) at the end of the address.

This extra symbol appears on all the areas where the redirection occurs. Another one was [Bridge No 87] showing canalplan.org.uk/place/d7j7?showmarker=yes#.

If I refresh the page the underlining disappears and the page is ok.

I've had the redirections appear whether I'm logged in or not.

They also appear from the Bug Tracker and the Forum pages.

I've had them on Gazetteer pages with the Place marker on the map in underscore blue indicating its a web link.

The same place doesn't always have a redirection and it doesn't happen on other sites.
TagsNo tags attached.
Attached Files
  • jpg file icon Redirect01.jpg (105,761 bytes) 2017-07-17 14:23 -
    jpg file icon Redirect01.jpg (105,761 bytes) 2017-07-17 14:23 +
  • jpg file icon Redirect01-2.jpg (105,761 bytes) 2017-07-17 14:24 -
    jpg file icon Redirect01-2.jpg (105,761 bytes) 2017-07-17 14:24 +
  • jpg file icon Redirect02.jpg (53,711 bytes) 2017-07-17 14:24 -
    jpg file icon Redirect02.jpg (53,711 bytes) 2017-07-17 14:24 +
  • txt file icon BugTracker.txt (59,360 bytes) 2017-07-17 21:23 -
    <!DOCTYPE html>
    <html>
    <head>
    	<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="keywords" content="waterway,canal,river,navigation,route planning,trip,journey,miles,locks,pubs,route planner,cruise">
    <link rel="stylesheet" href="/html/input_from_bootstrap.css">
    <link rel="stylesheet" href="/html/default/common.css" type="text/css">
    <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">
    <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,400italic,700,700italic' rel='stylesheet' type='text/css'>
    <link rel="search" type="application/opensearchdescription+xml" title="CanalPlan AC" href="/html/canalplan-ac.xml">
    <link rel="shortcut icon" href="/images/cp1.ico" type="image/x-icon">
    <link rel="stylesheet" href="/html/default/canal.css?ver=9.25.0.1" type="text/css">
    <meta name="msapplication-config" content="none"/>
    
    	<title>0000296: Redirections appearing in CP - Canalplan Bug Tracker</title>
    	<link rel="stylesheet" type="text/css" href="http://canalplan.org.uk/bugtrack/css/default.css" />
    	<link rel="stylesheet" type="text/css" href="http://canalplan.org.uk/bugtrack/css/jquery-ui-1.11.4.min.css" />
    	<link rel="stylesheet" type="text/css" href="http://canalplan.org.uk/bugtrack/css/common_config.php" />
    	<link rel="stylesheet" type="text/css" href="http://canalplan.org.uk/bugtrack/css/status_config.php" />
    	<link rel="shortcut icon" href="/bugtrack/../favicon.ico" type="image/x-icon" />
    	<link rel="search" type="application/opensearchdescription+xml" title="Canalplan Bug Tracker: full-text search" href="http://canalplan.org.uk/bugtrack/browser_search_plugin.php?type=text"/>
    	<link rel="search" type="application/opensearchdescription+xml" title="Canalplan Bug Tracker: search by Issue Id" href="http://canalplan.org.uk/bugtrack/browser_search_plugin.php?type=id"/>
    	<script type="text/javascript" src="http://ff.kis.v2.scr.kaspersky-labs.com/842B2511-4134-E947-8464-62D61884B7FF/main.js" charset="UTF-8"></script><script type="text/javascript" src="/bugtrack/javascript_config.php"></script>
    	<script type="text/javascript" src="/bugtrack/javascript_translations.php"></script>
    	<script type="text/javascript" src="/bugtrack/js/jquery-1.12.4.min.js"></script>
    	<script type="text/javascript" src="/bugtrack/js/jquery-ui-1.11.4.min.js"></script>
    	<script type="text/javascript" src="/bugtrack/js/common.js"></script>
    </head>
    <body>
    <div id="mantis">
    <script type="text/javascript" src="/javascript/cjs/iecobble.js?ver=9.26.7.4"></script>
    <script type="text/javascript" src="/javascript/cjs/common.js?ver=9.26.7.4"></script>
    <script type="text/javascript" src="/javascript/cjs/actb.js?ver=9.26.7.4"></script>
    <script type="text/javascript" src="/javascript/cjs/backtrace.js?ver=9.26.7.4"></script>
    <script type="text/javascript" src="http://static.rpxnow.com/js/lib/rpx.js"></script>
    <script type="text/javascript" src="/javascript/cjs/logon.js?ver=9.26.7.4"></script>
    
    <script type="text/javascript" src="/javascript/cjs/static_page.js?ver=9.26.7.4"></script>
    <script type="text/javascript" src="/javascript/cjs/helpers.js?ver=9.26.7.4"></script>
    <script type="text/javascript">
    var cp_info = [];
    cp_info.userid = "";
    cp_info.passederror="";
    </script>
    
    
    <script type="text/javascript">
    </script>
    <script type="text/javascript" src="/javascript/cjs/menu.js?ver=9.26.7.4"></script><script type="text/javascript">(function(){if(typeof window.janrain!=='object')window.janrain={};if(typeof window.janrain.settings!=='object')window.janrain.settings={};janrain.settings.tokenUrl='http://canalplan.eu/cgi-bin/rpx.cgi?backto=';function isReady(){janrain.ready=true;};if(document.addEventListener){document.addEventListener("DOMContentLoaded",isReady,false);}else{window.attachEvent('onload',isReady);}
    var e=document.createElement('script');e.type='text/javascript';e.id='janrainAuthWidget';if(document.location.protocol==='https:'){e.src='https://rpxnow.com/js/lib/canalplanac/engage.js';}else{e.src='http://widget-cdn.rpxnow.com/js/lib/canalplanac/engage.js';}
    var s=document.getElementsByTagName('script')[0];s.parentNode.insertBefore(e,s);})();</script>
    
    <script type="text/javascript">
    var pageisloadedrun = false;
    function dopageload() {
    if(pageisloadedrun)
    return;
    if(typeof Master_Startup != 'function') { // js not loaded yet
      setTimeout(function() {dopageload();},1000);
      return;
    }
    pageisloadedrun = true;
    Master_Startup({nologon:'',geocode:'no',cookie_warning:'',php_vars:'{"cookie_warning": "suppress"}'}); 
     var ah=new actb(document.getElementById('searchfor'),new Array());
    }
    if(document.addEventListener)  // native event
      document.addEventListener( "DOMContentLoaded", dopageload, false )
    </script> 
    <meta name="msapplication-config" content="none"/>
    </head>
    <body onload="dopageload()" onUnload="if(typeof(GUnload)=='function')GUnload();">
    
    
    <div id="sidebar_holder"><div id="sidebar" style="position: absolute; left: 3px; top: 4px; float: left; width: 214px; padding: 2px"><div class="panel well extra-well"><div style="float:right"><i onclick="Toggle_Sidebar(false)" class="fa fa-caret-left fa-lg active-icon" style="color:black"></i></div>
    <a href="/index.html"><img onmouseover="TagToTip('build_text')" onmouseout="UnTip()" class="img-responsive" style="margin-left:8px; margin-top:15px; margin-bottom: 10px;" src="/images/blogo.png" alt="CanalPlanAC"></a>
    <span id="build_text"><b><em>CanalPlanAC</em></b> version 9.26.7.4.<br>&nbsp;<br>Built at 18:50:12 on Jul  2 2016</span>
    
    <div class="loginbox" id="logon_status"><i class="fa fa-sign-in"></i>&thinsp;<span class="linklike" onclick="Do_Logon()" style="font-size: 100%">Log in/Create account</span>
    </div>
    <div class="loginbox" id="rpx_popup"><a class="janrainEngage" href="#"><i class="fa fa-signin"></i>&thinsp;Log in with other account (Facebook, Google, Flickr etc)</a></div>
    <div style="display:none" id="janrainEngageEmbed"></div>
    <div class="indexmenuitem" title=""><a class="indexmenu" href="/index.html"><i class="fa fa-home fa-fw" style="color:brown;"></i>&thinsp;Home Page</a></div>
    <div class="indexmenuitem useronly" title="" style="display:none"><a rel="nofollow" class="indexmenu" href="/cgi-bin/showstuff.cgi?mode=me"><i class="fa fa-user fa-fw" style="color:darkslateblue;"></i>&thinsp;My page</a></div>
    <div class="indexmenuitem" title=""><a class="indexmenu" href="/cgi-bin/canal.cgi"><i class="fa fa-calculator fa-fw" style="color:darkslategray;"></i>&thinsp;Plan a journey</a></div>
    <div class="indexmenuitem" title="Find a place in the gazetteer"><a class="indexmenu" href="/cgi-bin/gazetteer.cgi"><i class="fa fa-globe fa-fw" style="color:green;"></i>&thinsp;Places</a></div>
    <div class="indexmenuitem" title="Find a waterway in the gazetteer"><a class="indexmenu" href="/cgi-bin/waterway.cgi"><i class="fa fa-globe fa-fw"></i>&thinsp;Waterways</a></div>
    <div class="indexmenuitem" title="Find a feature in the gazetteer"><a class="indexmenu" href="/cgi-bin/feature.cgi"><i class="fa fa-globe fa-fw" style="color:slategray;"></i>&thinsp;Features</a></div>
    <div class="indexmenuitem" title=""><a class="indexmenu" href="/cgi-bin/wiki.cgi?pageid=help:index"><i class="fa fa-question-circle fa-fw" style="color:blue;"></i>&thinsp;Info, help &amp; cookies</a></div>
    <div class="indexmenuitem" title="Change display and planning preferences"><a rel="nofollow" class="indexmenu" href="/cgi-bin/showstuff.cgi?mode=options"><i class="fa fa-wrench fa-fw" style="color:black;"></i>&thinsp;Preferences</a></div>
    <div class="indexmenuitem" title="Information about canal and river boats"><a class="indexmenu" onclick="Toggle_Submenu('boatinfo')"><i class="fa fa-ship fa-fw" style="color:brown;"></i>&thinsp;Boat listing&nbsp;<i id="edit_arrow_boatinfo" class="fa fa-caret-down fa-lg" style="color:black"></i></a></div>
    <div style="overflow:hidden; height: 0px; margin-left:15px" id="submenu_boatinfo"><div id="submenu_content_boatinfo"><div class="indexmenuitem" title="About the boat list"><a class="indexmenu" href="/boats/about.php"><i class="fa fa-question-circle fa-fw" style="color:blue;"></i>&thinsp;About</a></div>
    <div class="indexmenuitem" title="Find a boat"><a class="indexmenu" href="/boats/boats.php"><i class="fa fa-search fa-fw"></i>&thinsp;Search</a></div>
    <div class="indexmenuitem" title="Show photos of boats"><a class="indexmenu" href="/boats/boat_photo.php"><i class="fa fa-camera fa-fw"></i>&thinsp;Photos</a></div>
    <div class="indexmenuitem" title="A List of Popular Boat Names"><a class="indexmenu" href="/boats/boatnames.php"><i class="fa fa-search fa-fw"></i>&thinsp;Popular Names</a></div>
    <div class="indexmenuitem" title="Alphabetic List of Boats"><a class="indexmenu" href="/boats/boat_list.php"><i class="fa fa-bar-chart fa-fw" style="color:purple;"></i>&thinsp;Boat List</a></div>
    <div class="indexmenuitem" title="Statistics about boats"><a class="indexmenu" href="/boats/boat-list-stats.php"><i class="fa fa-bar-chart fa-fw" style="color:purple;"></i>&thinsp;Statistics</a></div>
    <div class="indexmenuitem" title="Shows details about boat tracks"><a class="indexmenu" href="/boats/tracking.php"><i class="fa fa-location-arrow fa-fw" style="color:black;"></i>&thinsp;View Boat Tracks</a></div>
    <div class="indexmenuitem" title="Shows the current location of publicly tracked boats"><a class="indexmenu" href="/boats/tracking.php?all"><i class="fa fa-globe fa-fw" style="color:green;"></i>&thinsp;Current Boat Locations</a></div>
    <div class="indexmenuitem" title="Allows you to manage settings relating to your tracked boat"><a class="indexmenu" href="/boats/tracking.php?manage_boats"><i class="fa fa-key fa-fw"></i>&thinsp;Manage Track Settings</a></div>
    <div class="indexmenuitem" title="Allows you to manage your tracked routes."><a class="indexmenu" href="/boats/tracking.php?manage"><i class="fa fa-pencil-square-o fa-fw" style="color:darkmagenta;"></i>&thinsp;Manage Tracked Routes</a></div>
    </div></div><div class="indexmenuitem" title="See what's new, report bugs and suggest improvements"><a class="indexmenu" href="/cgi-bin/wiki.cgi?pageid=bugs"><i class="fa fa-lightbulb-o fa-fw" style="color:orangered;"></i>&thinsp;Changes, bugs &amp; ideas</a></div>
    <div style="display:none" id="menulist"></div> 
    <hr>
    <form name="indexform" method="get" action="/cgi-bin/quicksearch.cgi" autocomplete="off">
    Quick search/route
    <br><input name="searchfor" id="searchfor" size="18"><div style="clear:both"></div>
    <input name="Go" value="Go" type="submit">
    <br><span class="search-hint">Enter a place or a list of places separated by
    commas</span>
    <input type="hidden" id="session" name="session" value="">
    <input type="hidden" id="realsearchresult" name="realsearchresult" value="">
    </form>
    <hr>
    <div id="index-stats"></div>
    
    <div style="margin:15px">
    <a href="http://www.ukwrs.co.uk/ranking/index.php?id=58"><img src="http://www.ukwrs.co.uk/ranking/button.php?id=58"></a>
    <div style="padding-top:1em"><a href="http://s10.flagcounter.com/more/eBE"><img src="http://s10.flagcounter.com/count/eBE/bg_AAFFAA/txt_000000/border_CCCCCC/columns_1/maxflags_8/viewers_0/labels_1/pageviews_0/flags_0/" alt="free counters" border="0"></a></div>
    </div>
    </div>
    </div></div><div class="panel well extra-well" style="position: absolute; left: 3px; float: left; height:900px; padding: 2px; padding-top: 10px; display:none" id="restore_sidebar"><i onclick="Toggle_Sidebar(true)" class="fa fa-caret-right fa-lg active-icon" style="color:black"></i></div>
    <div id="main-content">
    <h3><div align="center">Canalplan Bug Tracker</div></h3>
    <div align="center">
    <br />
    <script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
    <ins class="adsbygoogle"
         style="display:block"
         data-ad-client="ca-pub-4296098225870941"
         data-ad-slot="6014904870"
         data-ad-format="horizontal"></ins>
    <script>
    (adsbygoogle = window.adsbygoogle || []).push({});
    </script>
    </div>
    <br />
    <div class="info-bar">
    <div id="login-info">
    	<span id="logged-in-label">Logged in as</span>
    	<span id="logged-in-user">canalplan_168</span>
    	<span id="logged-in">	<span id="logged-in-realname">Shultzy</span>
    	<span id="logged-in-accesslevel" class="updater">updater</span>
    	</span>
    </div>
    <div id="rss-feed">
    	<a href="http://canalplan.org.uk/bugtrack/issues_rss.php?username=canalplan_168&amp;key=79_YaaETSvN6wqbdzJURBALCzUrsuboimLm1sHFDc5CP35eSpUYaQ_atFvoejuS7-3G3E7YhagmtdXl2_U-3&amp;project_id=1">
    	<img src="/bugtrack/images/rss.png" alt="RSS" title="RSS" />
    	</a>
    </div>
    <div id="project-selector-div"><form method="post" id="form-set-project" action="/bugtrack/set_project.php"><fieldset id="project-selector"><label for="form-set-project-id">Project</label><select id="form-set-project-id" name="project_id"><option value="0">All Projects</option>
    <option value="1" selected="selected">Canalplan </option>
    <option value="2">Canalplan Beta</option>
    <option value="3">Canalplan Boat Index</option>
    <option value="4">Canalplan Plugin</option>
    </select> <input type="submit" class="button" value="Switch" /></fieldset></form></div><div id="current-time">2017-07-17 21:19 BST</div></div>
    
    <div class="main-menu">
    <ul id="menu-items">
    	<li><a href="/bugtrack/my_view_page.php">My View</a></li>
    	<li><a href="/bugtrack/view_all_bug_page.php">View Issues</a></li>
    	<li><a href="/bugtrack/bug_report_page.php">Report Issue</a></li>
    	<li><a href="/bugtrack/changelog_page.php">Change Log</a></li>
    	<li><a href="/bugtrack/roadmap_page.php">Roadmap</a></li>
    	<li><a class="account-menu-link" href="/bugtrack/account_page.php">My Account</a></li>
    	<li><a id="logout-link" href="/bugtrack/logout_page.php">Logout</a></li>
    </ul>
    <div id="bug-jump" ><form method="post" class="bug-jump-form" action="/bugtrack/jump_to_bug.php"><fieldset class="bug-jump"><input type="hidden" name="bug_label" value="Issue #" /><input type="text" name="bug_id" size="8" />&#160;<input type="submit" value="Jump" />&#160;</fieldset></form></div>
    </div>
    <div id="content">
    <div class="recently-visited">Recently Visited: <a href="/bugtrack/view.php?id=296" title="[new] Redirections appearing in CP">0000296</a>, <a href="/bugtrack/view.php?id=295" title="[new] Gazeteer on the South Stratford doesn't seem to be working.  I always use it for TV bearings but I can't find a place.">0000295</a></div><br /><div id="view-issue-details" class="table-container"><table><thead><tr class="bug-nav"><td class="form-title" colspan="3">View Issue Details&#160;<span class="small"><span class="bracket-link bracket-link-jump-to-bugnotes">[&#160;<a class="jump-to-bugnotes" href="#bugnotes">Jump to Notes</a>&#160;]</span> </span></td><td class="center prev-next-links"><span class="small"><span class="bracket-link bracket-link-next-bug">[&#160;<a class="next-bug" href="view.php?id=295">&gt;&gt;</a>&#160;]</span> </span></td><td class="right alternate-views-links" colspan="2"><span class="small"><span class="bracket-link bracket-link-bug-history">[&#160;<a class="bug-history" href="view.php?id=296&amp;history=1#history">Issue History</a>&#160;]</span> </span><span class="small"><span class="bracket-link bracket-link-print">[&#160;<a class="print" href="print_bug_page.php?bug_id=296">Print</a>&#160;]</span> </span></td></tr></thead><tfoot><tr class="details-footer"><td colspan="6"><table><tr class="details-buttons"><td><form method="post" action="bug_update_page.php" class="action-button">
    	<fieldset><input type="hidden" name="bug_update_page_token" value="20170717JGwZF5oX2C1IK4iBLe5ghQmb6EgAIIIH"/>		<input type="hidden" name="bug_id" value="296" />
    		<input type="submit" class="button" value="Edit" />
    	</fieldset></form>
    </td><td></td><td></td><td><form method="post" action="bug_monitor_add.php" class="action-button">
    	<fieldset><input type="hidden" name="bug_monitor_add_token" value="20170717wIczjz7PUAKbNpi3KTRO7dYeRkAZIIka"/>		<input type="hidden" name="bug_id" value="296" />
    		<input type="submit" class="button" value="Monitor" />
    	</fieldset></form>
    </td><td><form method="post" action="bug_report_page.php" class="action-button">
    	<fieldset><input type="hidden" name="bug_report_page_token" value="20170717KcPv7Fd4O5lYrOVeDxZ8PLfMdljHiMY-"/>		<input type="hidden" name="m_id" value="296" />
    		<input type="submit" class="button" value="Clone" />
    	</fieldset></form>
    </td><td></td><td></td><td></td><td></td></tr></table></td></tr></tfoot><tbody><tr class="bug-header"><th class="bug-id category" width="15%">ID</th><th class="bug-project category" width="20%">Project</th><th class="bug-category category" width="15%">Category</th><th class="bug-view-status category" width="15%">View Status</th><th class="bug-date-submitted category" width="15%">Date Submitted</th><th class="bug-last-modified category" width="20%">Last Update</th></tr><tr class="bug-header-data"><td class="bug-id">0000296</td><td class="bug-project">Canalplan </td><td class="bug-category">[All Projects] Bug</td><td class="bug-view-status">public</td><td class="bug-date-submitted">2017-07-16 20:31</td><td class="bug-last-modified">2017-07-17 21:19</td></tr><tr class="spacer"><td colspan="6"></td></tr><tr class="hidden"></tr><tr><th class="bug-reporter category">Reporter</th><td class="bug-reporter">Shultzy</td><td colspan="4">&#160;</td></tr><tr><th class="bug-assigned-to category">Assigned To</th><td class="bug-assigned-to"></td><td colspan="4">&#160;</td></tr><tr><th class="bug-priority category">Priority</th><td class="bug-priority">high</td><th class="bug-severity category">Severity</th><td class="bug-severity">major</td><th class="bug-reproducibility category">Reproducibility</th><td class="bug-reproducibility">random</td></tr><tr><th class="bug-status category">Status</th><td class="bug-status status-10-color">new</td><th class="bug-resolution category">Resolution</th><td class="bug-resolution">open</td><td colspan="2">&#160;</td></tr><tr><th class="bug-platform category">Platform</th><td class="bug-platform">Microsoft</td><th class="bug-os category">OS</th><td class="bug-os">Windows</td><th class="bug-os-version category">OS Version</th><td class="bug-os-version">8.1</td></tr><tr><th class="bug-product-version category">Product Version</th><td class="bug-product-version"></td><th class="bug-product-build category">Product Build</th><td class="bug-product-build"></td><td colspan="2">&#160;</td></tr><tr><th class="bug-target-version category">Target Version</th><td class="bug-target-version"></td><th class="bug-fixed-in-version category">Fixed in Version</th><td class="bug-fixed-in-version"></td><td colspan="2">&#160;</td></tr><tr class="spacer"><td colspan="6"></td></tr><tr class="hidden"></tr><tr><th class="bug-summary category">Summary</th><td class="bug-summary" colspan="5">0000296: Redirections appearing in CP</td></tr><tr><th class="bug-description category">Description</th><td class="bug-description" colspan="5">I've started getting redirections when using parts of CP. This was one of them [<a href="http://pipeschannels.com/1320848">http://pipeschannels.com/1320848</a>].<br />
    <br />
    The title [Find out what's new, report a bug or request a new feature] appeared in dark blue and underlined like a web link. When hovering over the title this appeared [canalplan.org.uk/wiki/bugs#]. As you will notice there is an extra symbol (#) at the end of the address.<br />
    <br />
    This extra symbol appears on all the areas where the redirection occurs. Another one was [Bridge No 87] showing canalplan.org.uk/place/d7j7?showmarker=yes#.<br />
    <br />
    If I refresh the page the underlining disappears and the page is ok.<br />
    <br />
    I've had the redirections appear whether I'm logged in or not.<br />
    <br />
    They also appear from the Bug Tracker and the Forum pages.<br />
    <br />
    I've had them on Gazetteer pages with the Place marker on the map in underscore blue indicating its a web link.<br />
    <br />
    The same place doesn't always have a redirection and it doesn't happen on other sites.</td></tr><tr><th class="bug-tags category">Tags</th><td class="bug-tags" colspan="5">No tags attached.</td></tr><tr><th class="bug-attach-tags category">Attach Tags</th><td class="bug-attach-tags" colspan="5">	<small>(Separate by ",")</small>
    	<form method="post" action="tag_attach.php">
    	<input type="hidden" name="tag_attach_token" value="20170717_P6xLn9c-tD2crpAOK3dZyqRF9nQeEzP"/>	<input type="hidden" name="bug_id" value="296" />
    		<input type="hidden" id="tag_separator" value="," />
    	<input type="text" name="tag_string" id="tag_string" size="40" value="" />
    	<select tabindex="1" name="tag_select" id="tag_select">
    		<option value="0">Existing tags</option><option value="3" title="">CSV</option><option value="4" title="">Export</option><option value="1" title="">route planning</option><option value="2" title="">timing</option>	</select>
    	<input type="submit" value="Attach" class="button" />
    	</form>
    </td></tr><tr class="spacer"><td colspan="6"></td></tr><tr class="hidden"></tr><tr id="attachments"><th class="bug-attachments category">Attached Files</th><td class="bug-attachments" colspan="5">
    <ul>
    <li>
    <div id="attachment_preview_34_open" class=" collapse-closed">
    <a href="file_download.php?file_id=34&amp;type=bug"><img src="http://canalplan.org.uk/bugtrack/images/fileicons/jpg.gif" alt="jpg file icon" width="16" height="16" /></a>&#32;<a href="file_download.php?file_id=34&amp;type=bug">Redirect01.jpg</a>&#32;(105,761&#32;bytes)&#32;<span class="italic">2017-07-17 14:23</span>&#32;<a id="attachment_preview_34_open_link" class="collapse-link"><img src="images/minus.png" alt="-" /></a>
    <div class="bug-attachment-preview-image"><a href="file_download.php?file_id=34&amp;type=bug"><img src="file_download.php?file_id=34&amp;type=bug&amp;show_inline=1&amp;file_show_inline_token=20170717q6B-soRk5noGyxZ1FjcL12VAaRZFxacn" alt="" style="border: 0; max-height:250px;" /></a></div></div>
    <div id="attachment_preview_34_closed" class="collapse-section-closed collapse-open">
    <a href="file_download.php?file_id=34&amp;type=bug"><img src="http://canalplan.org.uk/bugtrack/images/fileicons/jpg.gif" alt="jpg file icon" width="16" height="16" /></a>&#32;<a href="file_download.php?file_id=34&amp;type=bug">Redirect01.jpg</a>&#32;(105,761&#32;bytes)&#32;<span class="italic">2017-07-17 14:23</span>&#32;<a id="attachment_preview_34_closed_link" class="collapse-link"><img src="images/plus.png" alt="+" /></a></div>
    </li>
    <li>
    <div id="attachment_preview_35_open" class=" collapse-closed">
    <a href="file_download.php?file_id=35&amp;type=bug"><img src="http://canalplan.org.uk/bugtrack/images/fileicons/jpg.gif" alt="jpg file icon" width="16" height="16" /></a>&#32;<a href="file_download.php?file_id=35&amp;type=bug">Redirect01-2.jpg</a>&#32;(105,761&#32;bytes)&#32;<span class="italic">2017-07-17 14:24</span>&#32;<a id="attachment_preview_35_open_link" class="collapse-link"><img src="images/minus.png" alt="-" /></a>
    <div class="bug-attachment-preview-image"><a href="file_download.php?file_id=35&amp;type=bug"><img src="file_download.php?file_id=35&amp;type=bug&amp;show_inline=1&amp;file_show_inline_token=201707178EAcyA6JQ0a1XYQrZbBD4oTeazuh-sCJ" alt="" style="border: 0; max-height:250px;" /></a></div></div>
    <div id="attachment_preview_35_closed" class="collapse-section-closed collapse-open">
    <a href="file_download.php?file_id=35&amp;type=bug"><img src="http://canalplan.org.uk/bugtrack/images/fileicons/jpg.gif" alt="jpg file icon" width="16" height="16" /></a>&#32;<a href="file_download.php?file_id=35&amp;type=bug">Redirect01-2.jpg</a>&#32;(105,761&#32;bytes)&#32;<span class="italic">2017-07-17 14:24</span>&#32;<a id="attachment_preview_35_closed_link" class="collapse-link"><img src="images/plus.png" alt="+" /></a></div>
    </li>
    <li>
    <div id="attachment_preview_36_open" class=" collapse-closed">
    <a href="file_download.php?file_id=36&amp;type=bug"><img src="http://canalplan.org.uk/bugtrack/images/fileicons/jpg.gif" alt="jpg file icon" width="16" height="16" /></a>&#32;<a href="file_download.php?file_id=36&amp;type=bug">Redirect02.jpg</a>&#32;(53,711&#32;bytes)&#32;<span class="italic">2017-07-17 14:24</span>&#32;<a id="attachment_preview_36_open_link" class="collapse-link"><img src="images/minus.png" alt="-" /></a>
    <div class="bug-attachment-preview-image"><a href="file_download.php?file_id=36&amp;type=bug"><img src="file_download.php?file_id=36&amp;type=bug&amp;show_inline=1&amp;file_show_inline_token=201707171gNqi3hGGCJQpYosov63TotN0sFAu8Kp" alt="" style="border: 0; max-height:250px;" /></a></div></div>
    <div id="attachment_preview_36_closed" class="collapse-section-closed collapse-open">
    <a href="file_download.php?file_id=36&amp;type=bug"><img src="http://canalplan.org.uk/bugtrack/images/fileicons/jpg.gif" alt="jpg file icon" width="16" height="16" /></a>&#32;<a href="file_download.php?file_id=36&amp;type=bug">Redirect02.jpg</a>&#32;(53,711&#32;bytes)&#32;<span class="italic">2017-07-17 14:24</span>&#32;<a id="attachment_preview_36_closed_link" class="collapse-link"><img src="images/plus.png" alt="+" /></a></div>
    </li>
    </ul></td></tr></tbody></table></div><br/>
    
    
    <div id="relationships_open" class=" collapse-open"><table class="width100" cellspacing="1">
    <tr class="row-2">
    	<td width="15%" class="form-title" colspan="2"><a id="relationships_open_link" class="collapse-link"><img src="images/minus.png" alt="-" /></a>Relationships	</td>
    </tr>
    <tr class="row-1">
    	<th class="category" width="15%">New relationship</th>
    	<td>Current issue		<form method="post" action="bug_relationship_add.php">
    		<input type="hidden" name="bug_relationship_add_token" value="20170717WLQ7jdd48rEyzMB_uBsWrBqpCptBvCBe"/>		<input type="hidden" name="src_bug_id" value="296" size="4" />
    		<select name="rel_type">
    <option value="2">parent of</option>
    <option value="3">child of</option>
    <option value="0">duplicate of</option>
    <option value="4">has duplicate</option>
    <option value="1" selected="selected">related to</option>
    </select>
    		<input type="text" name="dest_bug_id" value="" />
    		<input type="submit" name="add_relationship" class="button" value="Add" />
    		</form>
    	</td></tr>
    <tr>
    	<td colspan="2"></td>
    </tr>
    </table>
    
    </div>
    <div id="relationships_closed" class="collapse-section-closed collapse-closed"><table class="width100" cellspacing="1">
    <tr>
    	<td class="form-title"><a id="relationships_closed_link" class="collapse-link"><img src="images/plus.png" alt="+" /></a>Relationships	</td>
    </tr>
    </table>
    
    </div><br />
    
    
    <div id="upload_form_open" class=" collapse-open"><form method="post" enctype="multipart/form-data" action="bug_file_add.php">
    <input type="hidden" name="bug_file_add_token" value="20170717jAjY0sSAiuBzH2hq_Zt3WSB4PmwC6HTW"/>
    <table class="width100" cellspacing="1">
    <tr>
    	<td class="form-title" colspan="2"><a id="upload_form_open_link" class="collapse-link"><img src="images/minus.png" alt="-" /></a>Upload File	</td>
    </tr>
    <tr class="row-1">
    	<td class="category" width="15%">
    		Select File		<br />
    		<span class="small" title="5,000,000 bytes">Maximum size:&#32;5,000 KB</span>	</td>
    	<td width="85%">
    		<input type="hidden" name="bug_id" value="296" />
    		<input type="hidden" name="max_file_size" value="5000000" />
    		<input id="ufile[]" name="ufile[]" type="file" size="50" />
    		<input type="submit" class="button"
    			value="Upload File"
    		/>
    	</td>
    </tr>
    </table>
    </form>
    </div>
    <div id="upload_form_closed" class="collapse-section-closed collapse-closed"><table class="width100" cellspacing="1">
    <tr>
    	<td class="form-title" colspan="2"><a id="upload_form_closed_link" class="collapse-link"><img src="images/plus.png" alt="+" /></a>Upload File	</td>
    </tr>
    </table>
    
    </div>
    <a id="bugnotes"></a><br />
    
    
    <div id="bugnotes_open" class=" collapse-open"><table class="bugnotes width100" cellspacing="1">
    <tr>
    	<td class="form-title" colspan="2"><a id="bugnotes_open_link" class="collapse-link"><img src="images/minus.png" alt="-" /></a>Notes	</td>
    </tr>
    <tr class="bugnote bugnote-public" id="c1172">
    		<td class="bugnote-meta">
    				<p class="compact"><span class="small bugnote-permalink"><a rel="bookmark" href="view.php?id=296#c1172" title="Direct link to note">~0001172</a></span></p>
    
    		<p class="compact">
    		<span class="bugnote-reporter">
    		<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=162">Shultzy</a>		<span class="small access-level">(updater)</span>
    		</span>
    
    				</p>
    		<p class="compact"><span class="small bugnote-date-submitted">2017-07-16 22:35</span></p>
    				<div class="small bugnote-buttons">
    		<form method="post" action="bugnote_set_view_state.php" class="action-button"><fieldset><input type="hidden" name="bugnote_set_view_state_token" value="20170717k1-WDsKYHzeY8CYBgkGaCfrEAsgCOdjf"/><input type="submit" class="button-small" value="Make Private" /><input type="hidden" name="private" value="1" /><input type="hidden" name="bugnote_id" value="1172" /></fieldset></form>		</div>
    	</td>
    	<td class="bugnote-note">
    		I've just clicked on a blank space on CP and had a redirect so it's all very strange.	</td>
    </tr>
    <tr class="spacer">
    	<td colspan="2"></td>
    </tr>
    <tr class="bugnote bugnote-public" id="c1173">
    		<td class="bugnote-meta">
    				<p class="compact"><span class="small bugnote-permalink"><a rel="bookmark" href="view.php?id=296#c1173" title="Direct link to note">~0001173</a></span></p>
    
    		<p class="compact">
    		<span class="bugnote-reporter">
    		<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=2">Nick Atty</a>		<span class="small access-level">(administrator)</span>
    		</span>
    
    				</p>
    		<p class="compact"><span class="small bugnote-date-submitted">2017-07-17 08:40</span></p>
    				<div class="small bugnote-buttons">
    				</div>
    	</td>
    	<td class="bugnote-note">
    		What exactly do you mean by a redirect?  Do you mean that you are taken away from the site to somewhere else?<br />
    <br />
    A lot of links have changed in the recent releases, including places and wiki links, so may appear as &quot;unvisited&quot; in colour, but that's all that should have changed.	</td>
    </tr>
    <tr class="spacer">
    	<td colspan="2"></td>
    </tr>
    <tr class="bugnote bugnote-public" id="c1174">
    		<td class="bugnote-meta">
    				<p class="compact"><span class="small bugnote-permalink"><a rel="bookmark" href="view.php?id=296#c1174" title="Direct link to note">~0001174</a></span></p>
    
    		<p class="compact">
    		<span class="bugnote-reporter">
    		<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=162">Shultzy</a>		<span class="small access-level">(updater)</span>
    		</span>
    
    				</p>
    		<p class="compact"><span class="small bugnote-date-submitted">2017-07-17 14:23</span></p>
    				<div class="small bugnote-buttons">
    		<form method="post" action="bugnote_set_view_state.php" class="action-button"><fieldset><input type="hidden" name="bugnote_set_view_state_token" value="20170717k1-WDsKYHzeY8CYBgkGaCfrEAsgCOdjf"/><input type="submit" class="button-small" value="Make Private" /><input type="hidden" name="private" value="1" /><input type="hidden" name="bugnote_id" value="1174" /></fieldset></form>		</div>
    	</td>
    	<td class="bugnote-note">
    		Yes I'm taken away from the site to somewhere else? Today when clicking on [Find out what's new, report a bug or request a new feature] it redirected me to Yahoo with &quot;Find out what's new, report a bug or request a new feature&quot; in the search box. In the attached picture clicking on to the CanalPlanAC (by discuss) caused Firefox to put the prevention banner shown in the second picture. I can't attach more than one picture per note.	</td>
    </tr>
    <tr class="spacer">
    	<td colspan="2"></td>
    </tr>
    <tr class="bugnote bugnote-public" id="c1175">
    		<td class="bugnote-meta">
    				<p class="compact"><span class="small bugnote-permalink"><a rel="bookmark" href="view.php?id=296#c1175" title="Direct link to note">~0001175</a></span></p>
    
    		<p class="compact">
    		<span class="bugnote-reporter">
    		<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=162">Shultzy</a>		<span class="small access-level">(updater)</span>
    		</span>
    
    				</p>
    		<p class="compact"><span class="small bugnote-date-submitted">2017-07-17 14:25</span></p>
    				<div class="small bugnote-buttons">
    		<form method="post" action="bugnote_set_view_state.php" class="action-button"><fieldset><input type="hidden" name="bugnote_set_view_state_token" value="20170717k1-WDsKYHzeY8CYBgkGaCfrEAsgCOdjf"/><input type="submit" class="button-small" value="Make Private" /><input type="hidden" name="private" value="1" /><input type="hidden" name="bugnote_id" value="1175" /></fieldset></form>		</div>
    	</td>
    	<td class="bugnote-note">
    		It also affect the Beta version.	</td>
    </tr>
    <tr class="spacer">
    	<td colspan="2"></td>
    </tr>
    <tr class="bugnote bugnote-public" id="c1176">
    		<td class="bugnote-meta">
    				<p class="compact"><span class="small bugnote-permalink"><a rel="bookmark" href="view.php?id=296#c1176" title="Direct link to note">~0001176</a></span></p>
    
    		<p class="compact">
    		<span class="bugnote-reporter">
    		<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=2">Nick Atty</a>		<span class="small access-level">(administrator)</span>
    		</span>
    
    				</p>
    		<p class="compact"><span class="small bugnote-date-submitted">2017-07-17 19:22</span></p>
    				<div class="small bugnote-buttons">
    				</div>
    	</td>
    	<td class="bugnote-note">
    		Those are really strange and I'm not seeing them.  It looks like something is doing something odd when you view the page.<br />
    <br />
    Can you get the source code to the page (by right-click and &quot;view page source&quot; or similar on the menu, or by ctrl-U) and copy and paste that into a note for me?	</td>
    </tr>
    <tr class="spacer">
    	<td colspan="2"></td>
    </tr>
    <tr class="bugnote bugnote-public" id="c1177">
    		<td class="bugnote-meta">
    				<p class="compact"><span class="small bugnote-permalink"><a rel="bookmark" href="view.php?id=296#c1177" title="Direct link to note">~0001177</a></span></p>
    
    		<p class="compact">
    		<span class="bugnote-reporter">
    		<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=162">Shultzy</a>		<span class="small access-level">(updater)</span>
    		</span>
    
    				</p>
    		<p class="compact"><span class="small bugnote-date-submitted">2017-07-17 21:19</span></p>
    				<div class="small bugnote-buttons">
    		<form method="post" action="bugnote_set_view_state.php" class="action-button"><fieldset><input type="hidden" name="bugnote_set_view_state_token" value="20170717k1-WDsKYHzeY8CYBgkGaCfrEAsgCOdjf"/><input type="submit" class="button-small" value="Make Private" /><input type="hidden" name="private" value="1" /><input type="hidden" name="bugnote_id" value="1177" /></fieldset></form>		</div>
    	</td>
    	<td class="bugnote-note">
    		&lt;!DOCTYPE html&gt;<br />
    &lt;html lang=&quot;en&quot;&gt;<br />
    &lt;head&gt;&lt;meta name=&quot;viewport&quot; content=&quot;width=device-width, initial-scale=1.0&quot;&gt;<br />
    &lt;title&gt;Find out what's new, report a bug or request a new feature&thinsp;&ndash;&thinsp;CanalPlanAC&lt;/title&gt;<br />
    &lt;meta name=&quot;keywords&quot; content=&quot;waterway,canal,river,navigation,route planning,trip,journey,miles,locks,pubs,route planner,cruise&quot;&gt;<br />
    &lt;link rel=&quot;stylesheet&quot; href=&quot;../html/bootstrap.min.css&quot; type=&quot;text/css&quot;&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;../html/input_from_bootstrap.css&quot;&gt;<br />
    &lt;link rel=&quot;stylesheet&quot; href=&quot;../html/default/common.css&quot; type=&quot;text/css&quot;&gt;&lt;link href=&quot;//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css&quot; rel=&quot;stylesheet&quot;&gt;<br />
    <br />
    &lt;link href='<a href="https://fonts.googleapis.com/css?family=Open+Sans:400,400italic,700,700italic'">https://fonts.googleapis.com/css?family=Open+Sans:400,400italic,700,700italic'</a> rel='stylesheet' type='text/css'&gt;<br />
    &lt;link rel=&quot;search&quot; type=&quot;application/opensearchdescription+xml&quot; title=&quot;CanalPlan AC&quot; href=&quot;/html/canalplan-ac.xml&quot;&gt;<br />
    &lt;link rel=&quot;shortcut icon&quot; href=&quot;../images/cp1.ico&quot; type=&quot;image/x-icon&quot;&gt;<br />
    &lt;link rel=&quot;stylesheet&quot; href=&quot;../html/default/canal.css&quot; type=&quot;text/css&quot;&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;../html/default/wiki.css&quot; type=&quot;text/css&quot;&gt;<br />
    &lt;script type=&quot;text/javascript&quot; src=&quot;<a href="http://ff.kis.v2.scr.kaspersky-labs.com/842B2511-4134-E947-8464-62D61884B7FF/main.js&quot;">http://ff.kis.v2.scr.kaspersky-labs.com/842B2511-4134-E947-8464-62D61884B7FF/main.js&quot;</a> charset=&quot;UTF-8&quot;&gt;&lt;/script&gt;&lt;script type=&quot;text/javascript&quot; src=&quot;../javascript/cjs/iecobble.js?ver=9.30.3.1&quot;&gt;&lt;/script&gt;<br />
    &lt;script type=&quot;text/javascript&quot; src=&quot;../javascript/cjs/common.js?ver=9.30.3.1&quot;&gt;&lt;/script&gt;<br />
    &lt;script type=&quot;text/javascript&quot; src=&quot;../javascript/cjs/actb.js?ver=9.30.3.1&quot;&gt;&lt;/script&gt;<br />
    &lt;script type=&quot;text/javascript&quot; src=&quot;../javascript/cjs/backtrace.js?ver=9.30.3.1&quot;&gt;&lt;/script&gt;<br />
    &lt;script type=&quot;text/javascript&quot; src=&quot;../javascript/cjs/logon.js?ver=9.30.3.1&quot;&gt;&lt;/script&gt;<br />
    &lt;script type=&quot;text/javascript&quot; src=&quot;../javascript/cjs/static_page.js?ver=9.30.3.1&quot;&gt;&lt;/script&gt;<br />
    &lt;script type=&quot;text/javascript&quot; src=&quot;../javascript/cjs/static_wiki.js?ver=9.30.3.1&quot;&gt;&lt;/script&gt;<br />
    &lt;script type=&quot;text/javascript&quot;&gt;<br />
    var cp_info = [];<br />
    cp_info.userid = &quot;Shultzy&quot;;<br />
    cp_info.userinfo=&quot;&quot;;<br />
    cp_info.userprefs={};<br />
    cp_info.passederror=&quot;&quot;;<br />
    &lt;/script&gt;<br />
    <br />
    <br />
    &lt;script type=&quot;text/javascript&quot;&gt;<br />
    &lt;/script&gt;<br />
    &lt;script type=&quot;text/javascript&quot; src=&quot;../javascript/cjs/menu.js?ver=9.30.3.1&quot;&gt;&lt;/script&gt;&lt;script type=&quot;text/javascript&quot;&gt;(function(){if(typeof window.janrain!=='object')window.janrain={};if(typeof window.janrain.settings!=='object')window.janrain.settings={};janrain.settings.tokenUrl=document.location.protocol+'//canalplan.eu/cgi-bin/rpx.cgi?backto=<a href="http://canalplan.org.uk/wiki/bugs?pageid=bugs';function">http://canalplan.org.uk/wiki/bugs?pageid=bugs';function</a> isReady(){janrain.ready=true;};if(document.addEventListener){document.addEventListener(&quot;DOMContentLoaded&quot;,isReady,false);}else{window.attachEvent('onload',isReady);}<br />
    var e=document.createElement('script');e.type='text/javascript';e.id='janrainAuthWidget';if(document.location.protocol==='https:'){e.src='<a href="https://rpxnow.com/js/lib/canalplanac/engage.js';}else{e.src='http://widget-cdn.rpxnow.com/js/lib/canalplanac/engage.js';}">https://rpxnow.com/js/lib/canalplanac/engage.js';}else{e.src='http://widget-cdn.rpxnow.com/js/lib/canalplanac/engage.js';}</a><br />
    var s=document.getElementsByTagName('script')[0];s.parentNode.insertBefore(e,s);})();&lt;/script&gt;<br />
    <br />
    &lt;script type=&quot;text/javascript&quot;&gt;<br />
    var pageisloadedrun = false;<br />
    function dopageload() {<br />
    if(pageisloadedrun)<br />
    return;<br />
    if(typeof Master_Startup != 'function') { // js not loaded yet<br />
    &#160;&#160;setTimeout(function() {dopageload();},1000);<br />
    &#160;&#160;return;<br />
    }<br />
    pageisloadedrun = true;<br />
    Master_Startup({nologon:'',geocode:'no',cookie_warning:'yes',php_vars:'&lt;?php echo &quot;$startup_params&quot;; ?&gt;'}); <br />
    Wiki_Startup(); var ah=new actb(document.getElementById('searchfor'),new Array());<br />
    }<br />
    if(document.addEventListener)  // native event<br />
    &#160;&#160;document.addEventListener( &quot;DOMContentLoaded&quot;, dopageload, false )<br />
    &lt;/script&gt; <br />
    &lt;meta name=&quot;msapplication-config&quot; content=&quot;none&quot;/&gt;<br />
    &lt;/head&gt;<br />
    &lt;body onload=&quot;dopageload()&quot; onUnload=&quot;if(typeof(GUnload)=='function')GUnload();&quot;&gt;<br />
    <br />
    <br />
    &lt;div id=&quot;sidebar_holder&quot;&gt;&lt;div id=&quot;sidebar&quot; style=&quot;position: absolute; left: 3px; top: 4px; float: left; width: 214px; padding: 2px&quot;&gt;&lt;div class=&quot;panel well extra-well&quot;&gt;&lt;div style=&quot;float:right&quot;&gt;&lt;i onclick=&quot;Toggle_Sidebar(false)&quot; class=&quot;fa fa-caret-left fa-lg active-icon&quot; style=&quot;color:black&quot;&gt;</i>&lt;/div&gt;<br />
    &lt;a href=&quot;/index.html&quot;&gt;&lt;img onmouseover=&quot;TagToTip('build_text')&quot; onmouseout=&quot;UnTip()&quot; class=&quot;img-responsive&quot; style=&quot;margin-left:8px; margin-top:15px; margin-bottom: 10px;&quot; src=&quot;/images/blogo.png&quot; alt=&quot;CanalPlanAC&quot;&gt;&lt;/a&gt;<br />
    &lt;span id=&quot;build_text&quot;&gt;<b><em>CanalPlanAC</em></b> version 9.30.3.1.<br>&nbsp;<br>Built at 11:23:34 on Jul  9 2017.<br>&nbsp;<br>&lt;span class=&quot;small&quot;&gt;Page code: wikiany<br>Session:BW1317&lt;/span&gt;&lt;/span&gt;<br />
    &lt;div class=&quot;loginbox&quot; id=&quot;logon_status&quot;&gt;Logged on as Shultzy<br />
    &lt;div&gt;&lt;i class=&quot;fa fa-sign-out&quot; onclick=&quot;Log_Me_Out()&quot;&gt;</i>&thinsp;&lt;span class=&quot;linklike&quot; onclick=&quot;Log_Me_Out()&quot;&gt;Log out&lt;/span&gt;&lt;/div&gt;<br />
    <br />
    &lt;/div&gt;<br />
    <br />
    &lt;div style=&quot;display:none&quot; id=&quot;janrainEngageEmbed&quot;&gt;&lt;/div&gt;<br />
    &lt;div class=&quot;indexmenuitem&quot; title=&quot;&quot;&gt;&lt;a class=&quot;indexmenu&quot; href=&quot;/index.html&quot;&gt;&lt;i class=&quot;fa fa-home fa-fw&quot; style=&quot;color:brown;&quot;&gt;</i>&thinsp;Home Page&lt;/a&gt;&lt;/div&gt;<br />
    &lt;div class=&quot;indexmenuitem useronly&quot; title=&quot;&quot;&gt;&lt;a rel=&quot;nofollow&quot; class=&quot;indexmenu&quot; href=&quot;/cgi-bin/showstuff.cgi?mode=me&quot;&gt;&lt;i class=&quot;fa fa-user fa-fw&quot; style=&quot;color:darkslateblue;&quot;&gt;</i>&thinsp;My page&lt;/a&gt;&lt;/div&gt;<br />
    &lt;div class=&quot;indexmenuitem&quot; title=&quot;&quot;&gt;&lt;a class=&quot;indexmenu&quot; href=&quot;/cgi-bin/canal.cgi&quot;&gt;&lt;i class=&quot;fa fa-calculator fa-fw&quot; style=&quot;color:darkslategray;&quot;&gt;</i>&thinsp;Plan a journey&lt;/a&gt;&lt;/div&gt;<br />
    &lt;div class=&quot;indexmenuitem&quot; title=&quot;Find somewhere in the gazetteer&quot;&gt;&lt;a class=&quot;indexmenu&quot; href=&quot;/gazetteer/&quot;&gt;&lt;i class=&quot;fa fa-globe fa-fw&quot; style=&quot;color:green;&quot;&gt;</i>&thinsp;Gazetteer&lt;/a&gt;&lt;/div&gt;<br />
    &lt;div class=&quot;indexmenuitem&quot; title=&quot;Inland waterways boat listing&quot;&gt;&lt;a class=&quot;indexmenu&quot; href=&quot;/boats/boats.php&quot;&gt;&lt;i class=&quot;fa fa-ship fa-fw&quot; style=&quot;color:brown;&quot;&gt;</i>&thinsp;Boat listing&lt;/a&gt;&lt;/div&gt;<br />
    &lt;div class=&quot;indexmenuitem&quot; title=&quot;&quot;&gt;&lt;a class=&quot;indexmenu&quot; href=&quot;/wiki/help:index&quot;&gt;&lt;i class=&quot;fa fa-question-circle fa-fw&quot; style=&quot;color:blue;&quot;&gt;</i>&thinsp;Info, help &amp; cookies&lt;/a&gt;&lt;/div&gt;<br />
    &lt;div class=&quot;indexmenuitem&quot; title=&quot;Change display and planning preferences&quot;&gt;&lt;a rel=&quot;nofollow&quot; class=&quot;indexmenu&quot; href=&quot;/cgi-bin/showstuff.cgi?mode=options&amp;xparm=&quot;&gt;&lt;i class=&quot;fa fa-wrench fa-fw&quot; style=&quot;color:black;&quot;&gt;</i>&thinsp;Preferences&lt;/a&gt;&lt;/div&gt;<br />
    &lt;div class=&quot;indexmenuitem&quot; title=&quot;See what's new, report bugs and suggest improvements&quot;&gt;&lt;a class=&quot;indexmenu&quot; href=&quot;/wiki/bugs&quot;&gt;&lt;i class=&quot;fa fa-lightbulb-o fa-fw&quot; style=&quot;color:orangered;&quot;&gt;</i>&thinsp;Changes, bugs &amp; ideas&lt;/a&gt;&lt;/div&gt;<br />
    &lt;div style=&quot;display:none&quot; id=&quot;menulist&quot;&gt;&lt;/div&gt; <br />
    &lt;hr&gt;<br />
    &lt;form name=&quot;indexform&quot; method=&quot;get&quot; action=&quot;../cgi-bin/quicksearch.cgi&quot; autocomplete=&quot;off&quot;&gt;<br />
    Quick search/route<br />
    <br>&lt;input name=&quot;searchfor&quot; id=&quot;searchfor&quot; size=&quot;18&quot;&gt;&lt;div style=&quot;clear:both&quot;&gt;&lt;/div&gt;<br />
    &lt;input name=&quot;Go&quot; value=&quot;Go&quot; type=&quot;submit&quot;&gt;<br />
    <br>&lt;span class=&quot;search-hint&quot;&gt;Enter a place or a list of places separated by<br />
    commas&lt;/span&gt;<br />
    &lt;input type=&quot;hidden&quot; id=&quot;session&quot; name=&quot;session&quot; value=&quot;BW1317&quot;&gt;<br />
    &lt;input type=&quot;hidden&quot; id=&quot;realsearchresult&quot; name=&quot;realsearchresult&quot; value=&quot;&quot;&gt;<br />
    &lt;/form&gt;<br />
    &lt;hr&gt;<br />
    &lt;div id=&quot;index-stats&quot;&gt;&lt;/div&gt;<br />
    <br />
    &lt;div style=&quot;margin:15px&quot;&gt;<br />
    &lt;a href=&quot;<a href="https://www.ukwrs.co.uk/ranking/index.php?id=58&quot;&gt;&lt;img">https://www.ukwrs.co.uk/ranking/index.php?id=58&quot;&gt;&lt;img</a> src=&quot;<a href="https://www.ukwrs.co.uk/ranking/button.php?id=58&quot;&gt;&lt;/a&gt;">https://www.ukwrs.co.uk/ranking/button.php?id=58&quot;&gt;&lt;/a&gt;</a><br />
    &lt;div style=&quot;padding-top:1em&quot;&gt;&lt;a href=&quot;<a href="https://s10.flagcounter.com/more/eBE&quot;&gt;&lt;img">https://s10.flagcounter.com/more/eBE&quot;&gt;&lt;img</a> src=&quot;<a href="https://s10.flagcounter.com/count/eBE/bg_AAFFAA/txt_000000/border_CCCCCC/columns_1/maxflags_8/viewers_0/labels_1/pageviews_0/flags_0/&quot;">https://s10.flagcounter.com/count/eBE/bg_AAFFAA/txt_000000/border_CCCCCC/columns_1/maxflags_8/viewers_0/labels_1/pageviews_0/flags_0/&quot;</a> alt=&quot;free counters&quot; border=&quot;0&quot;&gt;&lt;/a&gt;&lt;/div&gt;<br />
    &lt;/div&gt;<br />
    &lt;/div&gt;<br />
    &lt;/div&gt;&lt;/div&gt;&lt;div class=&quot;panel well extra-well&quot; style=&quot;position: absolute; left: 3px; float: left; height:900px; padding: 2px; padding-top: 10px; display:none&quot; id=&quot;restore_sidebar&quot;&gt;&lt;i onclick=&quot;Toggle_Sidebar(true)&quot; class=&quot;fa fa-caret-right fa-lg active-icon&quot; style=&quot;color:black&quot;&gt;</i>&lt;/div&gt;<br />
    &lt;div id=&quot;main-content&quot;&gt;<br />
    <br />
    <br />
    <br />
    &lt;h1&gt;Find out what's new, report a bug or request a new feature&lt;/h1&gt;<br />
    <p></p><br />
    &lt;h2&gt;What's new&lt;/h2&gt;<br />
    <ul><br />
    <li>See the latest changes /wiki/changes to CanalPlan</li><br />
    <li>See the latest changes to /cgi-bin/moderate.cgi contributed by users</li><br />
    <li>Browse the history of /html/releases.html's<br />
    code</li><br />
    <li>Subscribe to user changes as <a href="http://feeds.feedburner.com/CanalPlanAC-WhatsNew">http://feeds.feedburner.com/CanalPlanAC-WhatsNew</a></li><br />
    <li>Discuss CanalPlanAC &ndash; the code, the data, whatever &ndash; at the /forums/index.php</li><br />
    <li>Visit the /bugtrack (see below for more<br />
    information)</li><br />
    <li>I have started to collect some /wiki/docs:index<br />
    on the data structures and interfaces</li><br />
    </ul><br />
    &lt;h2&gt;Changing the data&lt;/h2&gt;<br />
    <p>If you have noticed that some of the data is out of date - you<br />
    want to add a bridge or a marina for example - you can do this<br />
    yourself. Simply log in, visit the nearest existing place to the new<br />
    one in the gazetteer and use the &quot;edit&quot; feature in the<br />
    menu. If you have problems, report what you have done as a new issue;<br />
    someone will help you and it will make me aware of where the<br />
    instructions aren't good enough.</p><br />
    <p>Similarly if the dimensions of a waterway - the headroom, length,<br />
    width or depth are wrong or missing you can do this yourself. Visit<br />
    the waterway in the gazetteer and use the &quot;edit&quot; feature in<br />
    the menu.</p><br />
    <p>More information (although it needs work; improving the help pages<br />
    is also something users can do themselves) is available on the /wiki/help:index pages.</p><br />
    &lt;h2&gt;Reporting bugs&lt;/h2&gt;<br />
    <p>If you have found an actual bug: a miscalculation, something that<br />
    doesn't work as you'd expect, or there's something you'd like to do<br />
    that the program doesn't seem to allow you do, please report it as a<br />
    bug or request for improvement.</p><br />
    <p>Before July 2015 we had been using Google's &quot;code&quot; to<br />
    track bugs. This is being withdrawn and is already read-only. Links<br />
    to issues from these pages in the change log have been re-coded to<br />
    point to an internal version of the pages, and an index of these<br />
    issues is available /wiki/oldissues</p><br />
    <p>CanalPlanAC now has its own bug-tracking system using a free<br />
    package called <a href="http://www.mantisbt.org/">http://www.mantisbt.org/.</a> With some nifty coding we've<br />
    been able to make it so that you don't need a separate account: as<br />
    long as you are logged into CanalPlan you can report a bug or request<br />
    a new feature.</p><br />
    <p>If you aren't logged on, I recommend you do so now using one of<br />
    the two links in the menu sidebar.</p><br />
    &lt;h2&gt;/bugtrack&lt;/h2&gt;<br />
    <p>/cgi-bin/showstuff.cgi?mode=oddplaces</p><br />
    <p>/wiki/motd</p><br />
    <br />
    <p></p>&lt;div style=&quot;clear: both; padding-top:1em&quot;&gt; &lt;/div&gt;<br />
    &lt;/div&gt;&lt;script type=&quot;text/javascript&quot; src=&quot;../javascript/min/jquery-1.10.2.min.js&quot;&gt;&lt;/script&gt;<br />
    &lt;script type=&quot;text/javascript&quot; src=&quot;../javascript/min/bootstrap.min.js&quot;&gt;&lt;/script&gt;<br />
    &lt;!-- Begin Cookie Consent plugin by Silktide - <a href="http://silktide.com/cookieconsent">http://silktide.com/cookieconsent</a> --&gt;<br />
    <br />
    &lt;script type=&quot;text/javascript&quot;&gt;<br />
    &#160;&#160;&#160;&#160;window.cookieconsent_options = {&quot;message&quot;:&quot;Embedded content on this website uses cookies&quot;,&quot;dismiss&quot;:&quot;Accept&quot;,&quot;learnMore&quot;:&quot;More info&quot;,&quot;link&quot;:&quot;/wiki/help:index&quot;,&quot;theme&quot;:&quot;light-top&quot;};<br />
    &lt;/script&gt;<br />
    &lt;script type=&quot;text/javascript&quot; src=&quot;//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/1.0.9/cookieconsent.min.js&quot;&gt;&lt;/script&gt;<br />
    &lt;!-- End Cookie Consent plugin --&gt;<br />
    <br />
    &lt;script type=&quot;text/javascript&quot; src=&quot;../javascript/wz_tooltip.js&quot;&gt;&lt;/script&gt;<br />
    &lt;script type=&quot;text/javascript&quot; src=&quot;../javascript/cp_jq.js&quot;&gt;&lt;/script&gt;<br />
    &lt;/body&gt;<br />
    &lt;/html&gt;	</td>
    </tr>
    <tr class="spacer">
    	<td colspan="2"></td>
    </tr>
    </table>
    </div>
    <div id="bugnotes_closed" class="collapse-section-closed collapse-closed">
    <table class="width100" cellspacing="1">
    <tr>
    	<td class="form-title" colspan="2"><a id="bugnotes_closed_link" class="collapse-link"><img src="images/plus.png" alt="+" /></a>Notes	</td>
    </tr>
    </table>
    </div><a id="addbugnote"></a> <br />
    
    
    <div id="bugnote_add_open" class="form-container collapse-open"><form id="bugnoteadd" method="post" action="bugnote_add.php" enctype="multipart/form-data">
    	<input type="hidden" name="bugnote_add_token" value="201707173KytPL0Sd8SL5e38nNifd3VPz1USJ1US"/>	<input type="hidden" name="bug_id" value="296" />
    	<table>
    		<thead>
    			<tr>
    				<td class="form-title" colspan="2"><a id="bugnote_add_open_link" class="collapse-link"><img src="images/minus.png" alt="-" /></a>Add Note				</td>
    			</tr>
    		</thead>
    
    		<tbody>
    			<tr class="row-2">
    				<th class="category" width="25%">
    					Note				</th>
    				<td width="75%">
    					<textarea name="bugnote_text" cols="80" rows="10"></textarea>
    				</td>
    			</tr>
    
    			<tr class="row-1">
    				<th class="category">
    					View Status				</th>
    				<td>
    					<input type="checkbox" id="bugnote_add_view_status" name="private"  />
    					<label for="bugnote_add_view_status">private</label>
    				</td>
    			</tr>
    			<tr>
    				<th class="category">
    					Upload File					<br />
    					<span class="small" title="5,000,000 bytes">Maximum size:&#32;5,000 KB</span>				</th>
    				<td>
    					<input type="hidden" name="max_file_size" value="5000000" />
    											<input id="ufile[]" name="ufile[]" type="file" size="50" />
    										</td>
    			</tr>
    		</tbody>
    
    		<tfoot>
    			<tr>
    				<td class="center" colspan="2">
    					<input type="submit" class="button" value="Add Note" />
    				</td>
    			</tr>
    		</tfoot>
    	</table>
    </form>
    </div>
    <div id="bugnote_add_closed" class="collapse-section-closed collapse-closed"><table class="width100" cellspacing="1">
    <tr>
    	<td class="form-title" colspan="2"><a id="bugnote_add_closed_link" class="collapse-link"><img src="images/plus.png" alt="+" /></a>Add Note	</td>
    </tr>
    </table>
    </div>
    
    <a id="history"></a><br />
    
    
    <div id="history_open" class="table-container collapse-open"><table>
    	<thead>
    		<tr>
    			<td class="form-title" colspan="4"><a id="history_open_link" class="collapse-link"><img src="images/minus.png" alt="-" /></a>Issue History			</td>
    		</tr>
    
    		<tr class="row-category-history">
    			<th class="small-caption">
    				Date Modified			</th>
    			<th class="small-caption">
    				Username			</th>
    			<th class="small-caption">
    				Field			</th>
    			<th class="small-caption">
    				Change			</th>
    		</tr>
    	</thead>
    
    	<tbody>
    		<tr>
    			<td class="small-caption">
    				2017-07-16 20:31			</td>
    			<td class="small-caption">
    				<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=162">Shultzy</a>			</td>
    			<td class="small-caption">
    				New Issue			</td>
    			<td class="small-caption">
    							</td>
    		</tr>
    		<tr>
    			<td class="small-caption">
    				2017-07-16 22:35			</td>
    			<td class="small-caption">
    				<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=162">Shultzy</a>			</td>
    			<td class="small-caption">
    				Note Added: 0001172			</td>
    			<td class="small-caption">
    							</td>
    		</tr>
    		<tr>
    			<td class="small-caption">
    				2017-07-17 08:40			</td>
    			<td class="small-caption">
    				<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=2">Nick Atty</a>			</td>
    			<td class="small-caption">
    				Note Added: 0001173			</td>
    			<td class="small-caption">
    							</td>
    		</tr>
    		<tr>
    			<td class="small-caption">
    				2017-07-17 14:23			</td>
    			<td class="small-caption">
    				<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=162">Shultzy</a>			</td>
    			<td class="small-caption">
    				File Added: Redirect01.jpg			</td>
    			<td class="small-caption">
    							</td>
    		</tr>
    		<tr>
    			<td class="small-caption">
    				2017-07-17 14:23			</td>
    			<td class="small-caption">
    				<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=162">Shultzy</a>			</td>
    			<td class="small-caption">
    				Note Added: 0001174			</td>
    			<td class="small-caption">
    							</td>
    		</tr>
    		<tr>
    			<td class="small-caption">
    				2017-07-17 14:24			</td>
    			<td class="small-caption">
    				<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=162">Shultzy</a>			</td>
    			<td class="small-caption">
    				File Added: Redirect01-2.jpg			</td>
    			<td class="small-caption">
    							</td>
    		</tr>
    		<tr>
    			<td class="small-caption">
    				2017-07-17 14:24			</td>
    			<td class="small-caption">
    				<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=162">Shultzy</a>			</td>
    			<td class="small-caption">
    				File Added: Redirect02.jpg			</td>
    			<td class="small-caption">
    							</td>
    		</tr>
    		<tr>
    			<td class="small-caption">
    				2017-07-17 14:25			</td>
    			<td class="small-caption">
    				<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=162">Shultzy</a>			</td>
    			<td class="small-caption">
    				Note Added: 0001175			</td>
    			<td class="small-caption">
    							</td>
    		</tr>
    		<tr>
    			<td class="small-caption">
    				2017-07-17 19:22			</td>
    			<td class="small-caption">
    				<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=2">Nick Atty</a>			</td>
    			<td class="small-caption">
    				Note Added: 0001176			</td>
    			<td class="small-caption">
    							</td>
    		</tr>
    		<tr>
    			<td class="small-caption">
    				2017-07-17 21:19			</td>
    			<td class="small-caption">
    				<a class="user" href="http://canalplan.org.uk/bugtrack/view_user_page.php?id=162">Shultzy</a>			</td>
    			<td class="small-caption">
    				Note Added: 0001177			</td>
    			<td class="small-caption">
    							</td>
    		</tr>
    	</tbody>
    </table>
    </div>
    <div id="history_closed" class="collapse-section-closed collapse-closed"><table class="width100" cellspacing="0">
    <tr>
    	<td class="form-title" colspan="4"><a id="history_closed_link" class="collapse-link"><img src="images/plus.png" alt="+" /></a>Issue History	</td>
    </tr>
    </table>
    
    </div></div>
    <div align="center">
    <br />
    <script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
    <ins class="adsbygoogle"
         style="display:block"
         data-ad-client="ca-pub-4296098225870941"
         data-ad-slot="6014904870"
         data-ad-format="horizontal"></ins>
    <script>
    (adsbygoogle = window.adsbygoogle || []).push({});
    </script>
    </div>
    <br />
    <script type="text/javascript" src="/javascript/min/bootstrap.min.js"></script>
    <!-- Begin Cookie Consent plugin by Silktide - http://silktide.com/cookieconsent -->
    
    <script type="text/javascript">
        window.cookieconsent_options = {"message":"Embedded content on this website uses cookies","dismiss":"Accept","learnMore":"More info","link":"/cgi-bin/wiki.cgi?pageid=help:index","theme":"light-top"};
    </script>
    <script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/1.0.9/cookieconsent.min.js"></script>
    <!-- End Cookie Consent plugin -->
    
    <script type="text/javascript" src="/javascript/cp_jq.js"></script>
    <script type="text/javascript" src="/javascript/wz_tooltip.js"></script>
    <div id="footer">
    <hr />
    	<div id="powered-by-mantisbt-logo">
    		<a href="http://www.mantisbt.org"
    			title="Mantis Bug Tracker: a free and open source web based bug tracking system.">
    			<img src="/bugtrack/images/mantis_logo.png" width="102" height="35"
    				alt="Powered by Mantis Bug Tracker: a free and open source web based bug tracking system." />
    			</a>
    	</div>
    <address id="mantisbt-copyright">
    <address id="version">Powered by <a href="http://www.mantisbt.org" title="bug tracking software">MantisBT </a></address>
    Copyright &copy; 2000 - 2017 MantisBT Team</address>
    </div>
    </div>
    </body>
    </html>
    
    txt file icon BugTracker.txt (59,360 bytes) 2017-07-17 21:23 +

-Relationships
+Relationships

-Notes

~0001172

Shultzy (updater)

I've just clicked on a blank space on CP and had a redirect so it's all very strange.

~0001173

Nick Atty (administrator)

What exactly do you mean by a redirect? Do you mean that you are taken away from the site to somewhere else?

A lot of links have changed in the recent releases, including places and wiki links, so may appear as "unvisited" in colour, but that's all that should have changed.

~0001174

Shultzy (updater)

Yes I'm taken away from the site to somewhere else? Today when clicking on [Find out what's new, report a bug or request a new feature] it redirected me to Yahoo with "Find out what's new, report a bug or request a new feature" in the search box. In the attached picture clicking on to the CanalPlanAC (by discuss) caused Firefox to put the prevention banner shown in the second picture. I can't attach more than one picture per note.

~0001175

Shultzy (updater)

It also affect the Beta version.

~0001176

Nick Atty (administrator)

Those are really strange and I'm not seeing them. It looks like something is doing something odd when you view the page.

Can you get the source code to the page (by right-click and "view page source" or similar on the menu, or by ctrl-U) and copy and paste that into a note for me?

~0001177

Shultzy (updater)

<!DOCTYPE html>
<html lang="en">
<head><meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Find out what's new, report a bug or request a new feature – CanalPlanAC</title>
<meta name="keywords" content="waterway,canal,river,navigation,route planning,trip,journey,miles,locks,pubs,route planner,cruise">
<link rel="stylesheet" href="../html/bootstrap.min.css" type="text/css"><link rel="stylesheet" href="../html/input_from_bootstrap.css">
<link rel="stylesheet" href="../html/default/common.css" type="text/css"><link href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">

<link href='https://fonts.googleapis.com/css?family=Open+Sans:400,400italic,700,700italic' rel='stylesheet' type='text/css'>
<link rel="search" type="application/opensearchdescription+xml" title="CanalPlan AC" href="/html/canalplan-ac.xml">
<link rel="shortcut icon" href="../images/cp1.ico" type="image/x-icon">
<link rel="stylesheet" href="../html/default/canal.css" type="text/css"><link rel="stylesheet" href="../html/default/wiki.css" type="text/css">
<script type="text/javascript" src="http://ff.kis.v2.scr.kaspersky-labs.com/842B2511-4134-E947-8464-62D61884B7FF/main.js" charset="UTF-8"></script><script type="text/javascript" src="../javascript/cjs/iecobble.js?ver=9.30.3.1"></script>
<script type="text/javascript" src="../javascript/cjs/common.js?ver=9.30.3.1"></script>
<script type="text/javascript" src="../javascript/cjs/actb.js?ver=9.30.3.1"></script>
<script type="text/javascript" src="../javascript/cjs/backtrace.js?ver=9.30.3.1"></script>
<script type="text/javascript" src="../javascript/cjs/logon.js?ver=9.30.3.1"></script>
<script type="text/javascript" src="../javascript/cjs/static_page.js?ver=9.30.3.1"></script>
<script type="text/javascript" src="../javascript/cjs/static_wiki.js?ver=9.30.3.1"></script>
<script type="text/javascript">
var cp_info = [];
cp_info.userid = "Shultzy";
cp_info.userinfo="";
cp_info.userprefs={};
cp_info.passederror="";
</script>


<script type="text/javascript">
</script>
<script type="text/javascript" src="../javascript/cjs/menu.js?ver=9.30.3.1"></script><script type="text/javascript">(function(){if(typeof window.janrain!=='object')window.janrain={};if(typeof window.janrain.settings!=='object')window.janrain.settings={};janrain.settings.tokenUrl=document.location.protocol+'//canalplan.eu/cgi-bin/rpx.cgi?backto=http://canalplan.org.uk/wiki/bugs?pageid=bugs';function isReady(){janrain.ready=true;};if(document.addEventListener){document.addEventListener("DOMContentLoaded",isReady,false);}else{window.attachEvent('onload',isReady);}
var e=document.createElement('script');e.type='text/javascript';e.id='janrainAuthWidget';if(document.location.protocol==='https:'){e.src='https://rpxnow.com/js/lib/canalplanac/engage.js';}else{e.src='http://widget-cdn.rpxnow.com/js/lib/canalplanac/engage.js';}
var s=document.getElementsByTagName('script')[0];s.parentNode.insertBefore(e,s);})();</script>

<script type="text/javascript">
var pageisloadedrun = false;
function dopageload() {
if(pageisloadedrun)
return;
if(typeof Master_Startup != 'function') { // js not loaded yet
  setTimeout(function() {dopageload();},1000);
  return;
}
pageisloadedrun = true;
Master_Startup({nologon:'',geocode:'no',cookie_warning:'yes',php_vars:'<?php echo "$startup_params"; ?>'});
Wiki_Startup(); var ah=new actb(document.getElementById('searchfor'),new Array());
}
if(document.addEventListener) // native event
  document.addEventListener( "DOMContentLoaded", dopageload, false )
</script>
<meta name="msapplication-config" content="none"/>
</head>
<body onload="dopageload()" onUnload="if(typeof(GUnload)=='function')GUnload();">


<div id="sidebar_holder"><div id="sidebar" style="position: absolute; left: 3px; top: 4px; float: left; width: 214px; padding: 2px"><div class="panel well extra-well"><div style="float:right"><i onclick="Toggle_Sidebar(false)" class="fa fa-caret-left fa-lg active-icon" style="color:black"></div>
<a href="/index.html"><img onmouseover="TagToTip('build_text')" onmouseout="UnTip()" class="img-responsive" style="margin-left:8px; margin-top:15px; margin-bottom: 10px;" src="/images/blogo.png" alt="CanalPlanAC"></a>
<span id="build_text">CanalPlanAC version 9.30.3.1.
 
Built at 11:23:34 on Jul 9 2017.
 
<span class="small">Page code: wikiany
Session:BW1317</span></span>
<div class="loginbox" id="logon_status">Logged on as Shultzy
<div><i class="fa fa-sign-out" onclick="Log_Me_Out()"> <span class="linklike" onclick="Log_Me_Out()">Log out</span></div>

</div>

<div style="display:none" id="janrainEngageEmbed"></div>
<div class="indexmenuitem" title=""><a class="indexmenu" href="/index.html"><i class="fa fa-home fa-fw" style="color:brown;"> Home Page</a></div>
<div class="indexmenuitem useronly" title=""><a rel="nofollow" class="indexmenu" href="/cgi-bin/showstuff.cgi?mode=me"><i class="fa fa-user fa-fw" style="color:darkslateblue;"> My page</a></div>
<div class="indexmenuitem" title=""><a class="indexmenu" href="/cgi-bin/canal.cgi"><i class="fa fa-calculator fa-fw" style="color:darkslategray;"> Plan a journey</a></div>
<div class="indexmenuitem" title="Find somewhere in the gazetteer"><a class="indexmenu" href="/gazetteer/"><i class="fa fa-globe fa-fw" style="color:green;"> Gazetteer</a></div>
<div class="indexmenuitem" title="Inland waterways boat listing"><a class="indexmenu" href="/boats/boats.php"><i class="fa fa-ship fa-fw" style="color:brown;"> Boat listing</a></div>
<div class="indexmenuitem" title=""><a class="indexmenu" href="/wiki/help:index"><i class="fa fa-question-circle fa-fw" style="color:blue;"> Info, help & cookies</a></div>
<div class="indexmenuitem" title="Change display and planning preferences"><a rel="nofollow" class="indexmenu" href="/cgi-bin/showstuff.cgi?mode=options&xparm="><i class="fa fa-wrench fa-fw" style="color:black;"> Preferences</a></div>
<div class="indexmenuitem" title="See what's new, report bugs and suggest improvements"><a class="indexmenu" href="/wiki/bugs"><i class="fa fa-lightbulb-o fa-fw" style="color:orangered;"> Changes, bugs & ideas</a></div>
<div style="display:none" id="menulist"></div>
<hr>
<form name="indexform" method="get" action="../cgi-bin/quicksearch.cgi" autocomplete="off">
Quick search/route

<input name="searchfor" id="searchfor" size="18"><div style="clear:both"></div>
<input name="Go" value="Go" type="submit">

<span class="search-hint">Enter a place or a list of places separated by
commas</span>
<input type="hidden" id="session" name="session" value="BW1317">
<input type="hidden" id="realsearchresult" name="realsearchresult" value="">
</form>
<hr>
<div id="index-stats"></div>

<div style="margin:15px">
<a href="https://www.ukwrs.co.uk/ranking/index.php?id=58"><img src="https://www.ukwrs.co.uk/ranking/button.php?id=58"></a>
<div style="padding-top:1em"><a href="https://s10.flagcounter.com/more/eBE"><img src="https://s10.flagcounter.com/count/eBE/bg_AAFFAA/txt_000000/border_CCCCCC/columns_1/maxflags_8/viewers_0/labels_1/pageviews_0/flags_0/" alt="free counters" border="0"></a></div>
</div>
</div>
</div></div><div class="panel well extra-well" style="position: absolute; left: 3px; float: left; height:900px; padding: 2px; padding-top: 10px; display:none" id="restore_sidebar"><i onclick="Toggle_Sidebar(true)" class="fa fa-caret-right fa-lg active-icon" style="color:black"></div>
<div id="main-content">



<h1>Find out what's new, report a bug or request a new feature</h1>


<h2>What's new</h2>

  • See the latest changes /wiki/changes to CanalPlan

  • See the latest changes to /cgi-bin/moderate.cgi contributed by users

  • Browse the history of /html/releases.html's
    code

  • Subscribe to user changes as http://feeds.feedburner.com/CanalPlanAC-WhatsNew

  • Discuss CanalPlanAC – the code, the data, whatever – at the /forums/index.php

  • Visit the /bugtrack (see below for more
    information)

  • I have started to collect some /wiki/docs:index
    on the data structures and interfaces


<h2>Changing the data</h2>

If you have noticed that some of the data is out of date - you
want to add a bridge or a marina for example - you can do this
yourself. Simply log in, visit the nearest existing place to the new
one in the gazetteer and use the "edit" feature in the
menu. If you have problems, report what you have done as a new issue;
someone will help you and it will make me aware of where the
instructions aren't good enough.


Similarly if the dimensions of a waterway - the headroom, length,
width or depth are wrong or missing you can do this yourself. Visit
the waterway in the gazetteer and use the "edit" feature in
the menu.


More information (although it needs work; improving the help pages
is also something users can do themselves) is available on the /wiki/help:index pages.


<h2>Reporting bugs</h2>

If you have found an actual bug: a miscalculation, something that
doesn't work as you'd expect, or there's something you'd like to do
that the program doesn't seem to allow you do, please report it as a
bug or request for improvement.


Before July 2015 we had been using Google's "code" to
track bugs. This is being withdrawn and is already read-only. Links
to issues from these pages in the change log have been re-coded to
point to an internal version of the pages, and an index of these
issues is available /wiki/oldissues


CanalPlanAC now has its own bug-tracking system using a free
package called http://www.mantisbt.org/. With some nifty coding we've
been able to make it so that you don't need a separate account: as
long as you are logged into CanalPlan you can report a bug or request
a new feature.


If you aren't logged on, I recommend you do so now using one of
the two links in the menu sidebar.


<h2>/bugtrack</h2>

/cgi-bin/showstuff.cgi?mode=oddplaces


/wiki/motd



<div style="clear: both; padding-top:1em"> </div>
</div><script type="text/javascript" src="../javascript/min/jquery-1.10.2.min.js"></script>
<script type="text/javascript" src="../javascript/min/bootstrap.min.js"></script>
<!-- Begin Cookie Consent plugin by Silktide - http://silktide.com/cookieconsent -->

<script type="text/javascript">
    window.cookieconsent_options = {"message":"Embedded content on this website uses cookies","dismiss":"Accept","learnMore":"More info","link":"/wiki/help:index","theme":"light-top"};
</script>
<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/1.0.9/cookieconsent.min.js"></script>
<!-- End Cookie Consent plugin -->

<script type="text/javascript" src="../javascript/wz_tooltip.js"></script>
<script type="text/javascript" src="../javascript/cp_jq.js"></script>
</body>
</html>

~0001178

Shultzy (updater)

The Bug file is from the bug tracker page which had a redirect on.

~0001179

Nick Atty (administrator)

The source shows that there is nothing in the text (look for the <h1> section - no link in there).

I'm afraid this is at your end. With hindsight I should have searched more on that "pipeschannel" link and spotted this sooner.

If you search for the words pipeschannel and redirect you should find out far more than you want to know about the nasty that has got onto your computer.

This looks as good as anything (in case it is blocking searches about itself) but isn't recommended by me or anything: http://www.myantispyware.com/2017/06/28/how-to-remove-pipeschannels-com-pop-up-ads-chrome-firefox-ie-edge/

~0001180

Shultzy (updater)

Thanks, I spotted it last night. I realised it wasn't CP when it didn't show up the same problems in Chrome. I've used Malwarebytes to get rid of the two pups. I'm surprised that Kaspersky anti-virus didn't spot it. It didn't affect other sites that I use as they are all http or https. I wonder where it came from as I have only used windows update recently.

Thanks for your help.

~0001181

Shultzy (updater)

Hope this is nothing to do with the redirection.

This appears when leaving the edit page either [DoIt] or [Cancel]

Page Not Found

You seem to have followed a link to a non-existent page. Please use the menu on the left to navigate round the site.
If you followed a valid link from within the site and reached this page then please report a bug using the "Bugs & ideas" link


Nick's Canal Route Planner — CanalPlanAC — is an interactive guide to the inland waterways of Europe, it helps you plan your journey or holiday, calculates the length (distance, number of locks, time taken etc) of your trip and shows gazetteer information on places along the way (pubs, shops etc). It has an extensive collection of waterway photographs.

~0001260

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2017-07-16 20:31 Shultzy New Issue
2017-07-16 22:35 Shultzy Note Added: 0001172
2017-07-17 08:40 Nick Atty Note Added: 0001173
2017-07-17 14:23 Shultzy File Added: Redirect01.jpg
2017-07-17 14:23 Shultzy Note Added: 0001174
2017-07-17 14:24 Shultzy File Added: Redirect01-2.jpg
2017-07-17 14:24 Shultzy File Added: Redirect02.jpg
2017-07-17 14:25 Shultzy Note Added: 0001175
2017-07-17 19:22 Nick Atty Note Added: 0001176
2017-07-17 21:19 Shultzy Note Added: 0001177
2017-07-17 21:23 Shultzy File Added: BugTracker.txt
2017-07-17 21:26 Shultzy Note Added: 0001178
2017-07-18 06:33 Nick Atty Note Added: 0001179
2017-07-18 17:25 Shultzy Note Added: 0001180
2017-07-18 18:01 Shultzy Note Added: 0001181
2017-08-05 10:10 Nick Atty Status new => resolved
2017-08-05 10:10 Nick Atty Resolution open => no change required
2017-09-04 10:30 Autoclose Note Added: 0001260
2017-09-04 10:30 Autoclose Status resolved => closed
+Issue History